The SML of NJ Library
The `HashConsString` structure

The `HashConsString` structure embeds the `string` type as a hash-consed object. It is implemented using the `HashConsGroundFn` functor.

## Synopsis

    structure HashConsString

## Interface

    type hash_key = string
    type obj = hash_key HashCons.obj

    val mk : hash_key -> obj

## Description

`type hash_key = string`

  The ground type being hashed.

`type obj = hash_key HashCons.obj`

  The type of hash-consed strings.

`val mk : hash_key -> obj`

  `mk s` converts the string `s` to a hash-consed object.

## See Also

`HashCons`, The HashCons Library

SML/NJ Version 110.99.3 (August 1, 2023)
Last updated 2023-07-31 17:59:01 UTC